SEARCH
NEW RPMS
DIRECTORIES
ABOUT
FAQ
VARIOUS
BLOG
DONATE


YUM REPOSITORY

 
 

python3-ldap2pg rpm build for : SuSE Other. For other distributions click python3-ldap2pg.

Name : python3-ldap2pg
Version : 5.4 Vendor : (none)
Release : 1.sles15 Date : 2020-09-24 01:39:49
Group : Unspecified Source RPM : python3-ldap2pg-5.4-1.sles15.src.rpm
Size : 0.12 MB
Packager : (none)
Summary : Synchronize Postgres roles and ACLs from any LDAP directory
Description :
Swiss-army knife to synchronize Postgres roles and ACLs from any LDAP directory.

Features:

* Creates, alter and drops PostgreSQL roles from LDAP queries.
* Creates static roles from YAML to complete LDAP entries.
* Manage role members (alias groups).
* Grant or revoke custom ACL statically or from LDAP entries.
* Dry run.
* Logs LDAP queries as ldapsearch commands.
* Logs every SQL queries.
* Reads settings from YAML config file.

RPM found in directory: /mirror/ftp.postgresql.org/pub/repos/zypp/common/suse/sles-15-x86_64

Content of RPM  Changelog  Provides Requires

Download
ftp.pbone.net  python3-ldap2pg-5.4-1.sles15.x86_64.rpm
ftp.pbone.net  python3-ldap2pg-5.4-1.sles15.x86_64.rpm
ftp.pbone.net  python3-ldap2pg-5.4-1.sles15.x86_64.rpm
ftp.pbone.net  python3-ldap2pg-5.4-1.sles15.x86_64.rpm
     

Provides :
python3-ldap2pg
python3-ldap2pg(x86-64)

Requires :
/usr/bin/python3
libpq5 >= 10.0
python(abi) = 3.6
python3-ldap
python3-psycopg2
python3-setuptools
python3-yaml
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


Content of RPM :
/usr/bin/ldap2pg
/usr/lib/python3.6/site-packages/ldap2pg
/usr/lib/python3.6/site-packages/ldap2pg-5.4-py3.6.egg-info
/usr/lib/python3.6/site-packages/ldap2pg-5.4-py3.6.egg-info/PKG-INFO
/usr/lib/python3.6/site-packages/ldap2pg-5.4-py3.6.egg-info/SOURCES.txt
/usr/lib/python3.6/site-packages/ldap2pg-5.4-py3.6.egg-info/dependency_links.txt
/usr/lib/python3.6/site-packages/ldap2pg-5.4-py3.6.egg-info/entry_points.txt
/usr/lib/python3.6/site-packages/ldap2pg-5.4-py3.6.egg-info/requires.txt
/usr/lib/python3.6/site-packages/ldap2pg-5.4-py3.6.egg-info/top_level.txt
/usr/lib/python3.6/site-packages/ldap2pg/__init__.py
/usr/lib/python3.6/site-packages/ldap2pg/config.py
/usr/lib/python3.6/site-packages/ldap2pg/defaults.py
/usr/lib/python3.6/site-packages/ldap2pg/inspector.py
/usr/lib/python3.6/site-packages/ldap2pg/ldap.py
/usr/lib/python3.6/site-packages/ldap2pg/manager.py
/usr/lib/python3.6/site-packages/ldap2pg/privilege.py
/usr/lib/python3.6/site-packages/ldap2pg/psql.py
/usr/lib/python3.6/site-packages/ldap2pg/role.py
/usr/lib/python3.6/site-packages/ldap2pg/script.py
/usr/lib/python3.6/site-packages/ldap2pg/utils.py
/usr/lib/python3.6/site-packages/ldap2pg/validators.py
/usr/share/doc/packages/python3-ldap2pg
/usr/share/doc/packages/python3-ldap2pg/LICENSE
/usr/share/doc/packages/python3-ldap2pg/README.rst